Host Image Config Manager Fetch Software Packages

Host Image Config Manager Fetch Software Packages
Reports the set of software packages installed.

Reports the set of software packages installed.

The CLI command is: esxcli software vib get

Required privileges: Host.Config.Image

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/HostImageConfigManager/{moId}/fetchSoftwarePackages
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case HostImageConfigManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

[
    {
        "_typeName": "string",
        "name": "string",
        "version": "string",
        "type": "string",
        "vendor": "string",
        "acceptanceLevel": "string",
        "summary": "string",
        "description": "string",
        "referenceURL": [
            "string"
        ],
        "creationDate": "string",
        "depends": [
            {
                "_typeName": "string",
                "constraint": "string",
                "name": "string",
                "version": "string"
            }
        ],
        "conflicts": [
            {
                "_typeName": "string",
                "constraint": "string",
                "name": "string",
                "version": "string"
            }
        ],
        "replaces": [
            {
                "_typeName": "string",
                "constraint": "string",
                "name": "string",
                "version": "string"
            }
        ],
        "provides": [
            "string"
        ],
        "maintenanceModeRequired": false,
        "hardwarePlatformsRequired": [
            "string"
        ],
        "capability": {
            "_typeName": "string",
            "liveInstallAllowed": false,
            "liveRemoveAllowed": false,
            "statelessReady": false,
            "overlay": false
        },
        "tag": [
            "string"
        ],
        "payload": [
            "string"
        ]
    }
]
array of object
Optional

Software Packages provide discrete version and packaging.

This data is reported by CLI:: esxcli software vib get -n ...


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' https://{api_host}/sdk/vim25/{release}/HostImageConfigManager/{moId}/fetchSoftwarePackages